Bug 1475259 - Vhost-user cross-version live-migration support
Vhost-user cross-version live-migration support
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch (Show other bugs)
7.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Kevin Traynor
Jean-Tsung Hsiao
: Extras, FutureFeature
Depends On: 1475256
Blocks: 1475262
  Show dependency treegraph
 
Reported: 2017-07-26 06:11 EDT by Maxime Coquelin
Modified: 2018-02-07 07:23 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1475256
: 1475262 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Kevin Traynor 2017-08-25 13:17:18 EDT
Hi Maxime, is there any feedback from Nova on this proposal?
Comment 3 Maxime Coquelin 2017-08-31 08:53:32 EDT
Hi Kevin, No feedback from Nova so far.
Comment 4 Kevin Traynor 2018-02-07 07:23:21 EST
There is some vhost-user information now available as of this commit in OVS 2.9

commit b2e8b12f8a821905c25295e04b843c0592a44339
Author: Flavio Leitner <fbl@sysclose.org>
Date:   Tue Jan 16 02:22:16 2018 -0200

    netdev-dpdk: add vhost-user get_status.
    
    Expose relevant vhost-user information in status.
    
    Signed-off-by: Flavio Leitner <fbl@sysclose.org>
    Tested-by: Kevin Traynor <ktraynor@redhat.com>
    Acked-by: Kevin Traynor <ktraynor@redhat.com>
    Signed-off-by: Ian Stokes <ian.stokes@intel.com>

AFAIK, due to upstream wanting to also migrate between kernel space vhost and vhost-user, some more design is needed in other layers. There is no outstanding requests to openvswitch atm.

Note You need to log in before you can comment on or make changes to this bug.